package com.steering.pss.kaohe.entity;

/**
 * 数据库表RP_KAOHE_ITEMQUANZHONG所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-03-15
 */
@SuppressWarnings("serial")
public class RpKaoheItemquanzhongEntity implements java.io.Serializable {
    /**
     * ID
     */
    private String itemId = "";
    /**
     * 指标分类
     */
    private String itemType = "";
    /**
     * 指标名称
     */
    private String itemName = "";
    /**
     * 奖励金额
     */
    private String awardMoney = "";
    /**
     * 特钢权重
     */
    private String tegang = "";
    /**
     * 轧管权重
     */
    private String zhaguan = "";
    /**
     * 管加工权重
     */
    private String gjg = "";
    /**
     * 制造部权重
     */
    private String zhizaobu = "";
    /**
     * 工艺管理部门权重
     */
    private String gyguanli = "";
    /**
     * 钢研所权重
     */
    private String gangyansuo = "";
    /**
     * 制造部权重
     */
    private String zhibaobu = "";
    /**
     * 有效标志
     */
    private String validflag = "";
    /**
     * 创建日期
     */
    private String createdate = "";
    /**
     * 创建人
     */
    private String createby = "";
    /**
     * 修改日期
     */
    private String updatedate = "";
    /**
     * 修改人
     */
    private String updateby = "";

    /**
     * ID
     * @return value
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * ID
     * @param itemId value
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * 指标分类
     * @return value
     */
    public String getItemType() {
        return itemType;
    }

    /**
     * 指标分类
     * @param itemType value
     */
    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    /**
     * 指标名称
     * @return value
     */
    public String getItemName() {
        return itemName;
    }

    /**
     * 指标名称
     * @param itemName value
     */
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    /**
     * 奖励金额
     * @return value
     */
    public String getAwardMoney() {
        return awardMoney;
    }

    /**
     * 奖励金额
     * @param awardMoney value
     */
    public void setAwardMoney(String awardMoney) {
        this.awardMoney = awardMoney;
    }

    /**
     * 特钢权重
     * @return value
     */
    public String getTegang() {
        return tegang;
    }

    /**
     * 特钢权重
     * @param tegang value
     */
    public void setTegang(String tegang) {
        this.tegang = tegang;
    }

    /**
     * 轧管权重
     * @return value
     */
    public String getZhaguan() {
        return zhaguan;
    }

    /**
     * 轧管权重
     * @param zhaguan value
     */
    public void setZhaguan(String zhaguan) {
        this.zhaguan = zhaguan;
    }

    /**
     * 管加工权重
     * @return value
     */
    public String getGjg() {
        return gjg;
    }

    /**
     * 管加工权重
     * @param gjg value
     */
    public void setGjg(String gjg) {
        this.gjg = gjg;
    }

    /**
     * 制造部权重
     * @return value
     */
    public String getZhizaobu() {
        return zhizaobu;
    }

    /**
     * 制造部权重
     * @param zhizaobu value
     */
    public void setZhizaobu(String zhizaobu) {
        this.zhizaobu = zhizaobu;
    }

    /**
     * 工艺管理部门权重
     * @return value
     */
    public String getGyguanli() {
        return gyguanli;
    }

    /**
     * 工艺管理部门权重
     * @param gyguanli value
     */
    public void setGyguanli(String gyguanli) {
        this.gyguanli = gyguanli;
    }

    /**
     * 钢研所权重
     * @return value
     */
    public String getGangyansuo() {
        return gangyansuo;
    }

    /**
     * 钢研所权重
     * @param gangyansuo value
     */
    public void setGangyansuo(String gangyansuo) {
        this.gangyansuo = gangyansuo;
    }

    /**
     * 制造部权重
     * @return value
     */
    public String getZhibaobu() {
        return zhibaobu;
    }

    /**
     * 制造部权重
     * @param zhibaobu value
     */
    public void setZhibaobu(String zhibaobu) {
        this.zhibaobu = zhibaobu;
    }

    /**
     * 有效标志
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建日期
     * @return value
     */
    public String getCreatedate() {
        return createdate;
    }

    /**
     * 创建日期
     * @param createdate value
     */
    public void setCreatedate(String createdate) {
        this.createdate = createdate;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateby() {
        return createby;
    }

    /**
     * 创建人
     * @param createby value
     */
    public void setCreateby(String createby) {
        this.createby = createby;
    }

    /**
     * 修改日期
     * @return value
     */
    public String getUpdatedate() {
        return updatedate;
    }

    /**
     * 修改日期
     * @param updatedate value
     */
    public void setUpdatedate(String updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateby() {
        return updateby;
    }

    /**
     * 修改人
     * @param updateby value
     */
    public void setUpdateby(String updateby) {
        this.updateby = updateby;
    }
}
